Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives
Class AbstractCharCollection

    java.lang.Object
      org.apache.commons.collections.primitives.AbstractCharCollection

All Implemented Interfaces:
  CharCollection

Direct Known Subclasses:
  RandomAccessCharList

public abstract class AbstractCharCollection
extends Object
implements CharCollection

Abstract base class for `CharCollection`s.

Read-only subclasses must override `iterator()` and `size()`. Mutable subclasses should also override `add(char)` and `CharIterator.remove`. All other methods have at least some base implementation derived from these. Subclasses may choose to override these methods to provide a more efficient implementation.

Since:
  Commons Primitives 1.0
Version:
  $Revision: 1.3 $ $Date: 2003/10/16 20:49:36 $
Author:
  Rodney Waldhoff

Constructor Summary
`protected` | `AbstractCharCollection()`

Method Summary
`boolean` | `add(char element)` Unsupported in this base implementation.
`boolean` | `addAll(CharCollection c)` `Adds` all of the elements in the specified collection to me (optional operation).
`void` | `clear()` Removes all my elements (optional operation).
`boolean` | `contains(char element)` Returns `true` iff I contain the specified element.
`boolean` | `containsAll(CharCollection c)` Returns `true` iff I `contain` all of the elements in the given collection.
`boolean` | `isEmpty()` Returns `true` iff I contain no elements.
`abstract CharIterator` | `iterator()` Returns an `iterator` over all my elements.
`boolean` | `removeAll(CharCollection c)` Removes all of my elements that are contained in the specified collection (optional operation).
`boolean` | `removeElement(char element)` Removes a single occurrence of the specified element (optional operation).
`boolean` | `retainAll(CharCollection c)` Removes all of my elements that are not contained in the specified collection (optional operation).
`abstract int` | `size()` Returns the number of elements I contain.
`char[]` | `toArray()` Returns an array containing all of my elements.
`char[]` | `toArray(char[] a)` Returns an array containing all of my elements, using the given array if it is large enough.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCharCollection

    protected AbstractCharCollection()

Method Detail

### iterator

    public abstract CharIterator iterator()

  Description copied from interface: `CharCollection`
  Returns an `iterator` over all my elements. This base interface places no constraints on the order in which the elements are returned by the returned iterator.

  Specified by:
    `iterator` in interface `CharCollection`
  Returns:
    an `iterator` over all my elements.

### size

    public abstract int size()

  Description copied from interface: `CharCollection`
  Returns the number of elements I contain.

  Specified by:
    `size` in interface `CharCollection`
  Returns:
    the number of elements I contain

### add

    public boolean add(char element)

  Unsupported in this base implementation.

  Specified by:
    `add` in interface `CharCollection`
  Parameters:
    `element` - the value whose presence within me is to be ensured
  Returns:
    `true` iff I changed as a result of this call

### addAll

    public boolean addAll(CharCollection c)

  Description copied from interface: `CharCollection`
  `Adds` all of the elements in the specified collection to me (optional operation).

  Specified by:
    `addAll` in interface `CharCollection`
  Parameters:
    `c` - the collection of elements whose presence within me is to be ensured
  Returns:
    `true` iff I changed as a result of this call

### clear

    public void clear()

  Description copied from interface: `CharCollection`
  Removes all my elements (optional operation). I will be `empty` after this method successfully returns.

  Specified by:
    `clear` in interface `CharCollection`

### contains

    public boolean contains(char element)

  Description copied from interface: `CharCollection`
  Returns `true` iff I contain the specified element.

  Specified by:
    `contains` in interface `CharCollection`
  Parameters:
    `element` - the value whose presence within me is to be tested
  Returns:
    `true` iff I contain the specified element

### containsAll

    public boolean containsAll(CharCollection c)

  Description copied from interface: `CharCollection`
  Returns `true` iff I `contain` all of the elements in the given collection.

  Specified by:
    `containsAll` in interface `CharCollection`
  Parameters:
    `c` - the collection of elements whose presence within me is to be tested
  Returns:
    `true` iff I contain the all the specified elements

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `CharCollection`
  Returns `true` iff I contain no elements.

  Specified by:
    `isEmpty` in interface `CharCollection`
  Returns:
    `true` iff I contain no elements.

### removeElement

    public boolean removeElement(char element)

  Description copied from interface: `CharCollection`
  Removes a single occurrence of the specified element (optional operation).

  Specified by:
    `removeElement` in interface `CharCollection`
  Parameters:
    `element` - the element to remove, if present
  Returns:
    `true` iff I contained the specified element, in other words, iff I changed as a result of this call

### removeAll

    public boolean removeAll(CharCollection c)

  Description copied from interface: `CharCollection`
  Removes all of my elements that are contained in the specified collection (optional operation). The behavior of this method is unspecified if the given collection is modified while this method is executing. Note that this includes the case in which the given collection is this collection, and it is not empty.

  Specified by:
    `removeAll` in interface `CharCollection`
  Parameters:
    `c` - the collection of elements to remove
  Returns:
    `true` iff I contained the at least one of the specified elements, in other words, returns `true` iff I changed as a result of this call

### retainAll

    public boolean retainAll(CharCollection c)

  Description copied from interface: `CharCollection`
  Removes all of my elements that are not contained in the specified collection (optional operation). (In other words, retains only my elements that are contained in the specified collection.) The behavior of this method is unspecified if the given collection is modified while this method is executing.

  Specified by:
    `retainAll` in interface `CharCollection`
  Parameters:
    `c` - the collection of elements to retain
  Returns:
    `true` iff I changed as a result of this call

### toArray

    public char[] toArray()

  Description copied from interface: `CharCollection`
  Returns an array containing all of my elements. The length of the returned array will be equal to my `size`.

  The returned array will be independent of me, so that callers may modify that returned array without modifying this collection.

  When I guarantee the order in which elements are returned by an `iterator`, the returned array will contain elements in the same order.

  Specified by:
    `toArray` in interface `CharCollection`
  Returns:
    an array containing all my elements

### toArray

    public char[] toArray(char[] a)

  Description copied from interface: `CharCollection`
  Returns an array containing all of my elements, using the given array if it is large enough. When the length of the given array is larger than the number of elements I contain, values outside of my range will be unchanged.

  The returned array will be independent of me, so that callers may modify that returned array without modifying this collection.

  When I guarantee the order in which elements are returned by an `iterator`, the returned array will contain elements in the same order.

  Specified by:
    `toArray` in interface `CharCollection`
  Parameters:
    `a` - an array that may be used to contain the elements
  Returns:
    an array containing all my elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.